| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions
Tp::GenericPropertyFilter Class Reference
Utililty classes

The GenericPropertyFilter class provides a generic filter object to be used to filter objects by properties. More...

`#include <TelepathyQt/GenericPropertyFilter>`

Inherits Tp::Filter< T >.

List of all members.

## Public Member Functions

- virtual ~GenericPropertyFilter ()
- virtual bool isValid () const
- virtual bool matches (const SharedPtr< T > &t) const
- QVariantMap filter () const
- void addProperty (const QString &propertyName, const QVariant &propertyValue)
- void setProperties (const QVariantMap &filter)

## Protected Member Functions

- GenericPropertyFilter ()

## Detailed Description

The GenericPropertyFilter class provides a generic filter object to be used to filter objects by properties.

Specialized classes such as AccountPropertyFilter are also provided and should be used where appropriate.

## Constructor & Destructor Documentation

virtual Tp::GenericPropertyFilter::~GenericPropertyFilter | ( |  | ) | `[inline, virtual]`

Tp::GenericPropertyFilter::GenericPropertyFilter | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual bool Tp::GenericPropertyFilter::isValid | ( |  | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

Reimplemented in Tp::AccountPropertyFilter.

virtual bool Tp::GenericPropertyFilter::matches | ( | const SharedPtr< T > & | t | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

QVariantMap Tp::GenericPropertyFilter::filter | ( |  | ) | const`[inline]`

void Tp::GenericPropertyFilter::addProperty | ( | const QString & | propertyName,
|  | const QVariant & | propertyValue
| ) |  | `[inline]`

void Tp::GenericPropertyFilter::setProperties | ( | const QVariantMap & | filter | ) | `[inline]`